from matplotlib import pyplot as plt
import iris
import iris.plot as iplt
import iris.quickplot as qplt
from iris.util import equalise_attributes,find_discontiguities,describe_diff 
def cubes_conc():

	file_list = ['clt_Amon_EC-Earth3-AerChem_amip_r1i1p4f1_gr_199501-199512.nc',
		     'clt_Amon_EC-Earth3-AerChem_amip_r1i1p4f1_gr_199601-199612.nc',
                     'clt_Amon_EC-Earth3-AerChem_amip_r1i1p4f1_gr_199701-199712.nc']
	#path_root = "/Users/lwu/climate_data/CMIP6/CMIP/EC-Earth-Consortium/EC-Earth3-AerChem/historical/r1i1p4f1/Amon/clt/gr/v20230816/"
	#file_list = ['clt_Amon_EC-Earth3-AerChem_historical_r1i1p4f1_gr_199501-199512.nc',
	#	     'clt_Amon_EC-Earth3-AerChem_historical_r1i1p4f1_gr_199601-199612.nc',
        #             'clt_Amon_EC-Earth3-AerChem_historical_r1i1p4f1_gr_199701-199712.nc']

	cubes_files = [file_i for file_i in file_list]
	clts = iris.load(cubes_files)
	#print('clts',clts)
	#print('concatenate')
	#print(clts.concatenate())
	#print('attributes')
	#print(clts[0].attributes)
	#print(clts[1].attributes)
	#print(clts[2].attributes)
	print('diff 0-1',describe_diff(clts[0],clts[1]))
	print('diff 0-2',describe_diff(clts[0],clts[2]))
	print('diff 1-2',describe_diff(clts[1],clts[2]))
	#clt= clts[0][0,:,:]
	print('remove inconsistent attributes')
	removed_attributes = equalise_attributes(clts)#qplt.contourf(clt, 25)
	print('removed_attributes ',removed_attributes)
	print('concatenate cubes')
	print(clts.concatenate_cube())
	## Add coastlines to the map created by contourf.
	#plt.gca().coastlines()
	#plt.show()
if __name__ == "__main__":
	cubes_conc()
